CocktailsMagician/Areas/Bars/Models/BarReviewViewModel.cs
using CocktailsMagician.Data.Entities;
using System;
using System.Collections.Generic;

namespace CocktailsMagician.Areas.Bars.Models
{
    public class BarReviewViewModel
    {
        public Guid Id { get; set; }
        public Guid BarId { get; set; }
        public String BarName { get; set; }
        public Guid UserId { get; set; }
        public String UserName { get; set; }
        public int Rating { get; set; }
        public string Comment { get; set; }
        public bool isLiked { get; set; }
        public int LikesCount { get; set; }
        public DateTime? DeletedOn { get; set; }
        public DateTime ReviewedOn { get; set; }
        public ICollection<BarReviewLike> BarReviewLikes { get; set; }
    }
}

CocktailsMagician/Areas/Bars/Models/BarViewModel.cs
using System;
using System.Collections.Generic;

namespace CocktailsMagician.Areas.Bars.Models
{
    public class BarViewModel
    {
        public Guid Id { get; set; }
        public string Name { get; set; }
        public string Phone { get; set; }
        public string Website { get; set; }
        public bool HasWebsite { get; set; }
        public string Description { get; set; }
        public DateTime? UnlistedOn { get; set; }
        public string Address { get; set; }
        public Guid CityId { get; set; }
        public string? City { get; set; }
        public double Longitude { get; set; }
        public double Latitude { get; set; }
        public double AvgRating { get; set; }
        public List<BarReviewViewModel> BarReviews { get; set; } = new List<BarReviewViewModel>();
    }
}

CocktailsMagician/Areas/Bars/Controllers/BarReviewsController.cs
using System;
using System.Threading.Tasks;
using CocktailsMagician.Data.Entities;
using CocktailsMagician.Services.Contracts;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using NToastNotify;

namespace CocktailsMagician.Areas.Cocktails.Controllers
{
    [Area("Bars")]
    public class BarReviewsController : Controller
    {
        private readonly IBarService barService;
        private readonly IBarReviewService barReviewService;
        private readonly UserManager<User> userManager;
        private readonly IToastNotification toastNotification;
        private readonly IBarReviewLikeService barReviewLikeService;

        public BarReviewsController(IBarService barService,IBarReviewService barReviewService, UserManager<User> userManager,
            IBarReviewLikeService barReviewLikeService,IToastNotification toastNotification)
        {
            this.barService = barService;
            this.barReviewService = barReviewService;
            this.userManager = userManager;
            this.toastNotification = toastNotification;
            this.barReviewLikeService = barReviewLikeService;
        }


        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> AddBarReview(IFormCollection form)
        {
            var review = form["Review"].ToString();
            //var cocktailId = Guid.Parse(form["CocktailId"]);
            var barId = Guid.Parse(form["BarId"]);
            var rating = int.Parse(form["Rating"]);

            //var cocktail = await barService.GetBarAsync(barId);
            var user = await userManager.GetUserAsync(HttpContext.User);


            await barReviewService.CreateBarReviewAsync(barId, user.Id, rating, review);
            toastNotification.AddSuccessToastMessage("Review made successfully!");

            return RedirectToAction("Details", "Bars", new { id = barId });
        }

        [HttpPost]
        //[ValidateAntiForgeryToken]
        public async Task<IActionResult> LikeReview(Guid barReviewId, bool isLiked)
        {
            var user = await userManager.GetUserAsync(HttpContext.User);


            if (isLiked)
            {
                await barReviewLikeService.AddBarReviewLikeAsync(barReviewId, user.Id);
                toastNotification.AddSuccessToastMessage("Review liked!");
            }
            else
            {
                await barReviewLikeService.RemoveBarReviewLikeAsync(barReviewId, user.Id);
                toastNotification.AddSuccessToastMessage("Review disliked!");
            }

            return Ok();
        }
        [HttpPost]
        //[ValidateAntiForgeryToken]
        public async Task<ActionResult> CheckIfPostedReview(Guid barId)
        {
            var user = await userManager.GetUserAsync(HttpContext.User);
            var hasAlreadyReviewed = await barReviewService.HasAlreadyReviewedAsync(barId, user.Id);

            return Json(hasAlreadyReviewed);
        }
    }
}

CocktailsMagician/Areas/Bars/Controllers/BarsController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using CocktailsMagician.Data;
using CocktailsMagician.Data.Entities;
using CocktailsMagician.Services.Contracts;
using CocktailsMagician.Mappers;
using CocktailsMagician.Areas.Bars.Models;
using X.PagedList;
using CocktailsMagician.Areas.Cocktails.Models;
using Microsoft.AspNetCore.Identity;
using CocktailsMagician.Helpers;
using NToastNotify;

namespace CocktailsMagician.Areas.Bars.Controllers
{
    [Area("Bars")]
    public class BarsController : Controller
    {
        private readonly ICityService cityService;
        private readonly IBarService barService;
        private readonly ICocktailService cocktailService;
        private readonly UserManager<User> userManager;
        private readonly IToastNotification _toastNotification;

        public BarsController(CMContext context, IBarService barService, ICocktailService cocktailService, UserManager<User> userManager,
            IToastNotification toastNotification, ICityService cityService)
        {
            this.barService = barService;
            this.cocktailService = cocktailService;
            this.userManager = userManager;
            this.cityService = cityService;
            this._toastNotification = toastNotification;
        }

        // GET: Bars/Bars
        public async Task<IActionResult> Index(string sortOrder, string currentFilter, string searchString, int? page)
        {
            ViewBag.CurrentSort = sortOrder;
            ViewBag.NameSortParm = String.IsNullOrEmpty(sortOrder) ? "name_desc" : "";
            ViewBag.RatingSortParm = sortOrder == "rating" ? "rating_desc" : "rating";

            if (searchString != null)
            {
                page = 1;
            }
            else
            {
                searchString = currentFilter;
            }
            ViewBag.CurrentFilter = searchString;

            ViewData["imgPath"] = ImagesPath.ImgsPath;

            var barDTOs = await barService.GetBarsFiltered(sortOrder, searchString);


            var barsVMs = barDTOs.Select(b => b.BarDTOtoVM());

            int pageSize = 3;
            int pageNumber = (page ?? 1);

            return View(barsVMs.ToPagedList(pageNumber, pageSize));
        }

        // GET: Bars/Bars/Details/5
        public async Task<IActionResult> Details(Guid? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var barDTO = await barService.GetBarAsync((Guid)id);
            if (barDTO == null)
            {
                return NotFound();
            }
            var barVM = barDTO.BarDTOtoVM();

            var user = await userManager.GetUserAsync(HttpContext.User);
            ViewData["User"] = user;
            ViewData["imgPath"] = ImagesPath.ImgsPath;
            ViewData["Latitude"] = barVM.Latitude;
            ViewData["Longitude"] = barVM.Longitude;


            foreach (var br in barVM.BarReviews)
            {
                if (br.BarReviewLikes.Count > 0)
                {
                    var likesCount = br.BarReviewLikes.Where(brl => brl.IsLiked == true).Count();
                    br.LikesCount = likesCount;
                    if (user != null)
                    {
                        var isLiked = br.BarReviewLikes
                        .Any(brl => brl.UserId == user.Id && brl.IsLiked == true);
                        br.isLiked = isLiked;
                    }
                }
            }

            return View(barVM);
        }

        public async Task<IActionResult> BarLocation(Guid? id)
        {
            if (id == null)
            {
                return NotFound();
            }
            var barDTO = await barService.GetBarAsync((Guid)id);

            if (barDTO == null)
            {
                return NotFound();
            }

            var barVM = barDTO.BarDTOtoVM();

            ViewData["Latitude"] = barVM.Latitude;
            ViewData["Longitude"] = barVM.Longitude;

            return View(barVM);
        }

        // GET: Bars/Bars/Create
        public async Task<IActionResult> Create()
        {
            var citiesDTO = await cityService.GetAllCitiesAsync();
            ViewData["CityId"] = new SelectList(citiesDTO, "Id", "Name");
            return View();
        }

        // POST: Bars/Bars/Create
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Name,Phone,Website,Description,Address,CityId")] BarViewModel barVM)
        {
            if (ModelState.IsValid)
            {
                var barDTO = barVM.BarVMtoDTO();
                var barDTOWithLocation = await barService.ParseApiLocationResult(barDTO);
                try
                {
                    var newBarDTO = await barService.CreateBarAsync(barDTOWithLocation);
                    var newBarVM = newBarDTO.BarDTOtoVM();
                    _toastNotification.AddSuccessToastMessage($"Bar {newBarVM.Name} created successfully!");
                    return RedirectToAction(nameof(Index));
                }
                catch (Exception)
                {
                    _toastNotification.AddErrorToastMessage("Bar cannot be created!");
                    return RedirectToAction(nameof(Index));
                }
            }
            return View(barVM);
        }

        // GET: Bars/Bars/Edit/5
        public async Task<IActionResult> Edit(Guid? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var barDTO = await barService.GetBarAsync((Guid)id);
            if (barDTO == null)
            {
                return NotFound();
            }

            var barVM = barDTO.BarDTOtoVM();
            var citiesDTO = await cityService.GetAllCitiesAsync();
            ViewData["CityId"] = new SelectList(citiesDTO, "Id", "Name");
            return View(barVM);
        }

        // POST: Bars/Bars/Edit/5
        // To protect from overposting attacks, enable the specific properties you want to bind to, for 
        // more details, see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(/*Guid id, */[Bind("Id,Name,Phone,Website,Description,Address,CityId")] BarViewModel barVM)
        {
            if (ModelState.IsValid)
            {
                try
                {
                    var barDTO = barVM.BarVMtoDTO();
                    var barDTOWithLocation = await barService.ParseApiLocationResult(barDTO);
                    await barService.UpdateBarAsync(barDTOWithLocation);
                    _toastNotification.AddSuccessToastMessage($"Bar {barDTOWithLocation.Name} edited successfully!");
                    return RedirectToAction(nameof(Index));
                }
                catch
                {
                    _toastNotification.AddErrorToastMessage("Bar cannot be edited!");
                    return RedirectToAction(nameof(Index));
                }
               
            }

            return View(barVM);
        }

        // GET: Bars/Bars/Delete/5
        public async Task<IActionResult> Delete(Guid? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var barDTO = await barService.GetBarAsync((Guid)id);
            if (barDTO == null)
            {
                return NotFound();
            }

            var barVM = barDTO.BarDTOtoVM();

            return View(barVM);
        }

        // POST: Bars/Bars/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(Guid id)
        {
            await barService.DeleteBarAsync(id);
            _toastNotification.AddSuccessToastMessage($"Bar unlisted successfully!");

            return RedirectToAction(nameof(Index));
        }

        //private bool BarExists(Guid id)
        //{
        //    return _context.Bars.Any(e => e.Id == id);
        //}

        public async Task<IActionResult> AddRmvCocktailsFromBar(Guid Id, string sortOrder, string currentFilter, string searchString, int? page)
        {
            var bar = await barService.GetBarAsync(Id);

            if (bar == null)
            {
                throw new ArgumentNullException();
            }
            ViewData["barId"] = bar.Id;
            ViewData["barName"] = bar.Name;

            ViewBag.CurrentSort = sortOrder;
            ViewBag.NameSortParm = String.IsNullOrEmpty(sortOrder) ? "name_desc" : "";
            ViewBag.RatingSortParm = sortOrder == "rating" ? "rating_desc" : "rating";

            if (searchString != null)
            {
                page = 1;
            }
            else
            {
                searchString = currentFilter;
            }
            ViewBag.CurrentFilter = searchString;


            var cocktails = await cocktailService.GetAllCocktails(sortOrder, searchString);

            var cocktailsVM = cocktails
                .Select(c => c.CocktailDTOMapToVM())
                .ToList();

            foreach (var cocktail in cocktailsVM)
            {
                cocktail.IsAvailableInBar = await cocktailService.IsCocktailAvailableInBar(Id, cocktail.Id);
            }

            int pageSize = 3;
            int pageNumber = (page ?? 1);

            return View(cocktailsVM.ToPagedList(pageNumber, pageSize));

        }

        [HttpPost]
        [ValidateAntiForgeryToken]

CocktailsMagician/Areas/Bars/Views/Bars/Details.cshtml
@model CocktailsMagician.Areas.Bars.Models.BarViewModel

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<meta name="viewport" content="width=device-width, initial-scale=1">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
<link href="~/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />

<head>
    <style>
        input[readonly] {
            border: none;
            background: none;
            color: darkgrey;
        }
    </style>
    <style>
        .greenColor {
            color: green;
        }
    </style>
    <style>
        .modal {
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        dd {
            font-family: 'Open Sans', sans-serif;
            color: #4F5D75;
        }
    </style>
    <style>
        #bar-info-tab-buttons {
            margin: 0 auto;
            justify-content: center;
            border-bottom: 2px solid #4F5D75;
        }

        .tab-button {
            font-size: 17px;
            padding: 1em;
            color: #4F5D75;
            cursor: default;
        }

            .tab-button:hover {
                background-color: #E7EAEF;
                border-radius: 5px 5px 0 0;
            }

            .tab-button.active {
                background-color: #4F5D75;
                color: white;
                padding: 1em;
                cursor: not-allowed;
                border-radius: 5px 5px 0 0;
            }
    </style>
</head>



<h1 style="color:#2D3142">@Model.Name</h1>
@if (Model.AvgRating > 0)
{
    <div>
        <span class="starFadeN" id="sRate1"></span>
        <span class="starFadeN" id="sRate2"></span>
        <span class="starFadeN" id="sRate3"></span>
        <span class="starFadeN" id="sRate4"></span>
        <span class="starFadeN" id="sRate5"></span>
    </div>
}
else
{
    <div>
        <input type="text" value="Not rated yet" readonly>
    </div>
}

<div>
    <input type="hidden" id="barId" name="barId" value="@Model.Id">
</div>
@*<div>*@
<hr />
<div class="row">
    <dl class="col-sm-8">
        <dt class="col-sm-4">
            @Html.DisplayNameFor(model => model.Description)
        </dt>
        <dd class="col-sm-8">
            @Html.DisplayFor(model => model.Description)
        </dd>
        <p>&nbsp;</p>
        <dt class="col-sm-4">
            @Html.DisplayNameFor(model => model.Phone)
        </dt>
        <dd class="col-sm-8">
            @Html.DisplayFor(model => model.Phone)
        </dd>
        <dt class="col-sm-4">
            @Html.DisplayNameFor(model => model.Website)
        </dt>
        <dd class="col-sm-8">
            @if (Model.HasWebsite)
            {
                <a href="@Model.Website" target="_blank">Website</a>
            }
            else
            {
                <input type="text" value="-" readonly>
            }
        </dd>
        <dt class="col-sm-4">
            @Html.DisplayNameFor(model => model.City)
        </dt>
        <dd class="col-sm-8">
            @Html.DisplayFor(model => model.City)
        </dd>
        <dt class="col-sm-4">
            @Html.DisplayNameFor(model => model.Address)
        </dt>
        <dd class="col-sm-8">
            @Html.DisplayFor(model => model.Address)
        </dd>
        <dt class="col-sm-4">
            Location
        </dt>
        <dd class="col-sm-8">
            <a asp-action="BarLocation" asp-route-id="@Model.Id"> Map </a>
        </dd>
    </dl>
    <div class="col-sm-4">
        <img src="@($"{@ViewData["imgPath"]}{@Model.Id}.jpg")" alt="Image not found" onerror="this.src='/Images/barPlaceholder.jpg';" width="380" ; height:auto>
    </div>
</div>
<div>
    @if (User.IsInRole("Admin"))
    {
        <a class="btn btn-warning" asp-action="Edit" asp-route-id="@Model.Id">Edit</a>
        <a class="btn btn-danger" asp-action="Delete" asp-route-id="@Model.Id">Delete</a>
    }
    <a class="btn btn-info" asp-action="Index">Back to List</a>
</div>
<br />

<div class="row" id="bar-info-tab-buttons">
    <span class="tab-button active" data-tabtarget="reviews-section">Reviews</span>
    <span class="tab-button" data-tabtarget="cocktails-section">Cocktail List</span>
</div>

<div class="reviews-section">
    @if (@ViewData["User"] != null)
    {
        <div>
            <!-- Button trigger modal -->
            <button id="openModal" type="button" class="btn btn-primary">
                AddReview
            </button>
        </div>
    }



    <script>
    $(document).ready(function() {
    $("#openModal").click(function () {
        var barId = $("#barId").val();
        $.ajax({
            type: "POST",
            url: "@Url.Action("CheckIfPostedReview","BarReviews",new { area = "Bars" })",
            data: {barId:barId},
            dataType: "json",
            success: function (response)
                {
                    var isReviewed=response;
                    if (isReviewed) {
                        alert("Already reviewed this bar!");
                    }
                    else {
                        $('#newReviewModal').modal('show');
                    }
                }
            })
        });
    });
    </script>

    @if (Model.BarReviews.Count() != 0)
    {
        <table class="table">
            <thead>
                <tr>
                    <th>
                    </th>
                    <th>
                        Rating
                    </th>
                    <th>
                        Review
                    </th>
                    <th>
                        Username
                    </th>
                    <th>
                        Reviewed On
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var br in Model.BarReviews)
                {
                    <tr class="bId">
                        <td>
                            <input type="hidden" id="barReviewId" asp-for="@br.Id" class="form-control" readonly />
                        </td>
                        <td>

                            @for (var i = 1; i <= br.Rating; i++)
                            {
                                <span class="starGlowN"></span>
                            }
                            @for (var i = (br.Rating + 1); i <= 5; i++)
                            {
                                <span class="starFadeN"></span>
                            }
                            <br />
                            @if (User.IsInRole("Admin") || User.IsInRole("User"))
                            {
                                <button id="thumbsUpButton" data-nrOfTimesLiked="@br.LikesCount" data-id="@br.Id" data-liked="@br.isLiked" type="button" class="btn btn-outline-dark">
                                    @if (br.isLiked)
                                    {
                                        <span id="likedSpan" class="greenColor fa fa-thumbs-o-up"> Liked </span>
                                    }
                                    else
                                    {
                                        <span class="fa fa-thumbs-o-up"> Like </span>
                                    }
                                </button>
                            }
                            else
                            {
                                <span style="color:darkgray">Likes</span>
                            }

                            <span id="likes-@br.Id" data-num="@br.LikesCount" style="color:darkgray" value="@br.LikesCount" readonly> @br.LikesCount </span>
                        </td>
                        <td>
                            @Html.Raw(br.Comment.Replace("\n", "<br />"))
                        </td>
                        <td>
                            <input type="text" value=" @br.UserName" readonly>
                        </td>
                        <td>
                            <input type="text" value=" @br.ReviewedOn" readonly>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    }
    else
    {
        <center> <h5> No Reviews for this bar! </h5> </center>
    }
</div>

<div class="cocktails-section">

</div>

<script>
            $(document).ready(function () {
            const $reviewsSection = $('.reviews-section');
            const $cocktailsSection = $('.cocktails-section');
            const defaultTabClass = 'tab-button';
            const activeTabClass = 'tab-button active';

            $cocktailsSection.hide();

              $('.' + defaultTabClass).click(function () {
                    debugger;
                    var $this = $(this);
                    var buttonFor = $this.data('tabtarget');
                    $this.attr('class', activeTabClass);

                    if (buttonFor === 'reviews-section') {

                        $cocktailsSection.hide();
                        $reviewsSection.show();
                    }
                    else {
                        $reviewsSection.hide();

                        $.ajax({
                            url: "@Url.Action("GetTableView","Bars",new { area = "Bars", barId = Model.Id })",
                            type: "GET"
                        }).then(function (rData) {
                            debugger;
                            console.log(rData);
                            $cocktailsSection.html(rData);
                        });

                        $cocktailsSection.show();
                    }

                    $this.siblings().first().attr('class', defaultTabClass);
                });

        function SCRate() {
            for (var i = 1; i <= @Model.AvgRating; i++) {
                $("#sRate" + i).attr('class', 'starGlowN');
            }
        }
        $(function(){
            SCRate();
        });

            var input = $(":button")
    input.click(function () {

        var $button = $(this);
            var buttonId = $button.data('id');
            var divCount = $('#likes-' + buttonId);
            var divText = divCount.text();
            var likeCount = parseInt(divCount.text());
            debugger;
            var likedAttr = $(this).attr("data-liked");
            var likedSpan = 'greenColor fa fa-thumbs-o-up';
            var defaultSpan = 'fa fa-thumbs-o-up';
            var isLiked = likedAttr === "true";
            var span = $button.children().first();

         var bReviewId = $button.closest($(".bId")).children().eq(0).children().eq(0).val();
        console.log(bReviewId);
        if (span.attr('id')) {
            debugger;
            likeCount = likeCount - 1;
                isLiked = false;
                $button.attr("data-liked", "false");
                span.attr('class', defaultSpan);
                span.text(' Like');
                span.removeAttr('id');
                divCount.text(likeCount);
                }
                else {
            likeCount = likeCount + 1;
                isLiked = true;
                $button.attr("data-liked", "true");
                span.attr('class', likedSpan);
                span.text(' Liked');
                span.attr('id', buttonId);
                divCount.text(likeCount);
                }

        $.ajax({
                type: "POST",
                url: "@Url.Action("LikeReview","BarReviews",new { area = "Bars" })",
                data: { barReviewId: bReviewId, isLiked: isLiked },
                dataType: "json",
            });
    });
});
</script>


<!-- Modal -->
<div class="modal modal-xl" id="newReviewModal" tabindex="-1" role="dialog" aria-labelledby="exampleModal3Label" aria-hidden="true" data-keyboard="false">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModal3Label">Review</h5>
                <button id="close" type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="form-container">
                @{
                    await Html.RenderPartialAsync("_CommentRating");
                }
            </div>
        </div>
    </div>
</div>

<script>
    //TODO
    $('#newReviewModal').on('hidden.bs.modal', function () {
        $(this).removeData('bs.modal');
    });
</script>

CocktailsMagician/Areas/Bars/Views/Bars/_CommentRating.cshtml
<dl class="dl-horizontal">
    @*<dt>
        Review
    </dt>

    <dd>*@
        <div class="commentBox">
            @using (Html.BeginForm("AddBarReview", "BarReviews", FormMethod.Post, new { onsubmit = "return SubmitComment()" }))
            {
                @Html.AntiForgeryToken()
                <div class="form-horizontal">
                    <div class="form-group">
                        <label class="col-md-4 control-label">
                            Your rating <span style="font-weight:normal;">(1 start is bad, 5 star is good)</span>
                        </label>
                        <div id ="stars" class="col-md-7">
                            <div onmouseout="CRateSelected()">
                                <span class="starFade" id="Rate1" onclick="CRate(1)" onmouseover="CRateOver(1)" 
                                      onmouseout="CRateOut(1)"></span><span class="starFade" id="Rate2" onclick="CRate(2)" 
                                      onmouseover="CRateOver(2)" onmouseout="CRateOut(2)">
                                      </span><span class="starFade" id="Rate3" onclick="CRate(3)" 
                                      onmouseover="CRateOver(3)" onmouseout="CRateOut(3)"></span>
                                   <span class="starFade" id="Rate4" onclick="CRate(4)" onmouseover="CRateOver(4)" onmouseout="CRateOut(4)"></span><span class="starFade" id="Rate5" onclick="CRate(5)" onmouseover="CRateOver(5)" onmouseout="CRateOut(5)"></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-12">
                            <textarea name="Review" id="Review" required rows="5" style="width:100%;" class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-12">
                            <input type="hidden" name="barId" value="@Model.Id" />
                            <input type="hidden" name="Rating" id="Rating" value="0" />
                            <input type="submit" id="btnRegister" name="btnRegister" value="Submit Comment" class="btn btn-warning" />
                        </div>
                    </div>
                </div>
            }
        </div>
    @*</dd>*@
</dl>

<script>
    function SubmitComment() {
        if ($("#Rating").val() == "0") {
            alert("Please rate this service provider.");
            return false;
        }
        else {
            return true;
        }
    }

    function CRate(r) {
        $("#Rating").val(r);
        for (var i = 1; i <= r; i++) {
            $("#Rate" + i).attr('class', 'starGlow');
        }
        // unselect remaining
        for (var i = r + 1; i <= 5; i++) {
            $("#Rate" + i).attr('class', 'starFade');
        }
    }

    function CRateOver(r) {
        for (var i = 1; i <= r; i++) {
            $("#Rate" + i).attr('class', 'starGlow');
        }
    }

    function CRateOut(r) {
        for (var i = 1; i <= r; i++) {
            $("#Rate" + i).attr('class', 'starFade');
        }
    }

    function CRateSelected() {
        var setRating = $("#Rating").val();
        for (var i = 1; i <= setRating; i++) {
            $("#Rate" + i).attr('class', 'starGlow');
        }
    }



</script>

<style>
    .commentBox {
    background-color: #efefef;
    padding: 10px;
    border-radius: 10px;
}

.starFade {
    background-image: url('/Images/StarFade.gif');
    min-width: 30px;
    min-height: 30px;
    display: inline-block;
    cursor: pointer;
}

.starFadeN {
    background-image: url('/Images/StarFade.gif');
    min-width: 30px;
    min-height: 30px;
    display: inline-block;
}

.starGlow {
    background-image: url('/Images/StarGlow.gif');
    min-width: 30px;
    min-height: 30px;
    display: inline-block;
    cursor: pointer;
}

.starGlowN {
    background-image: url('/Images/StarGlow.gif');
    min-width: 30px;
    min-height: 30px;
    display: inline-block;
}
</style>